curl --request POST \
--url https://api.example.com/v2/report-configs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"time": "08:00:00",
"weekday": 4,
"recipient_emails": [
"<string>"
],
"cc_emails": [
"<string>"
],
"is_enabled": true
}
'import requests
url = "https://api.example.com/v2/report-configs"
payload = {
"time": "08:00:00",
"weekday": 4,
"recipient_emails": ["<string>"],
"cc_emails": ["<string>"],
"is_enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
time: '08:00:00',
weekday: 4,
recipient_emails: ['<string>'],
cc_emails: ['<string>'],
is_enabled: true
})
};
fetch('https://api.example.com/v2/report-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"report_type": "integration_sync_report",
"is_enabled": true,
"frequency": "daily",
"time": "<string>",
"weekday": 123,
"recipient_emails": [
"<string>"
],
"cc_emails": [
"<string>"
],
"last_sent_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}Create
Create a Report Config
Create a new report configuration. Only one config per report type per organization is allowed.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Request body for creating a report config.
Discriminator for report type
integration_sync_report, ar_aging_report How often to send the report (DAILY, WEEKLY, MONTHLY)
daily, weekly, monthly Time of day (HH:MM) in org timezone. Minutes must be 0 or 30.
Day of the week (0=Monday, 6=Sunday). Only used by WEEKLY frequency.
0 <= x <= 6Primary recipient email addresses
Optional CC email addresses (e.g., FDE team on failures)
Response
Successful Response
Report configuration response.
Discriminator for report type
integration_sync_report, ar_aging_report How often to send the report (DAILY, WEEKLY, MONTHLY)
daily, weekly, monthly Time of day (HH:MM) in org timezone. Minutes must be 0 or 30.
Day of the week (0=Monday, 6=Sunday). Only used by WEEKLY frequency.
Primary recipient email addresses
Optional CC email addresses (e.g., FDE team on failures)
UTC timestamp of the last successful report send
String representing the object's type. Objects of the same type share the same value.
